본문으로 건너뛰기

debug_node_api.debug_push_blocks ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

기존 데이터베이스에서 블록을 푸시합니다.

Parameters ​

PARAMETERS
json
{
  "src_filename": "",
  "count": 0,
  "skip_validate_invariants": false
}

⚠ steem 소스 코드에 정의되어 있지만, 퍼블릭 노드에서는 활성화되지 않았습니다.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_push_blocks",
    "params": {
      "src_filename": "",
      "count": 0,
      "skip_validate_invariants": false
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "blocks": 0
}